{%- import 'macros.html' as macros with context -%}
{#-
Expected context:
- DAY
- USERID (optional)
- LEADERBOAD (optional)
-#}
<div class="day">
{%- if day == 0 -%}
	{#- AOC hat noch nicht angefangen. -#}
	<h{{daylevel|d("2",true)}}>Zu Früh</h{{daylevel|d("2",true)}}>
	<p class="alert info">
		Unser Adventskalender wird am 01. Dezember {{ config.YEAR | e }} um 6 Uhr morgens starten. Komme dann hierher zurück.
	</p>
{%- elif day == 26 -%}
	{#- AOC ist vorbei. -#}
	<h{{daylevel|d("2",true)}}>Ende</h{{daylevel|d("2",true)}}>
	<p class="alert info">
		Unser Adventskalender ist nun vorbei.<br>
		Vielen Dank an alle Teilnehmer!<br>
		{#
		Wir werden in den nächsten Tagen alle Gewinner kontaktieren.<br>
		#}
		{#
		Alle Gewinner wurden nun kontaktiert.<br>
		#}
		Tschüss, bis zum nächsten Advent!
	</p>
{%- else -%}
	{#- AOC läuft gerade. -#}
	<h{{daylevel|d("2",true)}}>Tag {{ day }}</h{{daylevel|d("2",true)}}>
	{% if userid and solves[userid] is defined and solves[userid].days[day].solved %}
		<p class="alert success">
			Du hast Tag {{ day }} bereits erfolgreich gelöst.
		</p>
	{% elif userid %}
		<form action="{{ url_for('submit', day=day) }}" method="post">
			<label for="value_{{day}}">Deine Lösung für Tag {{ day }}:</label>
			<input type="text" placeholder="Hier deine Lösung eintragen" id="value_{{day}}" name="value" minlength="1" maxlength="100" spellcheck="false" required />
			<input type="submit" class="btn btn-primary" value="Lösung einreichen" />
		</form>
	{% else %}
		<p class="alert warning">
			Melde dich an, um deine Lösung einzureichen.
		</p>
	{% endif %}
	<a class="btn btn-secondary" href="https://vpn.gwdg.de/+CSCO+1h75676763663A2F2F6E71697261676273706271722E70627A++/{{ config.YEAR | e}}/day/{{ day }}" target="_blank">Aufgabenstellung öffnen</a>
	<a class="btn btn-secondary" href="{{ url_for('puzzle', day=day) }}" download>Datensatz herunterladen</a>
	<br>
	<span>Löse die Aufgabe mit dem gegeben Datensatz.</span>
	<br>
	<sub><a class="" href="https://adventofcode.com/{{ config.YEAR | e}}/day/{{ day }}" target="_blank">[Aufgabenstellung ohne VPN öffnen (nicht empfohlen)]</a></sub>

{%- endif -%}
</div>
